Posting in the Magento forums has been disabled pending the implementation of a new and improved forum solution which should better serve the community.

For new questions please post at magento.stackexchange.com, the community-run support site for the Magento community. We will be providing updates on the new forum solution soon. For questions or concerns please email community@magento.com.

Magento Forum

[solved] HELP! Production site down. pdo_mysql suddenly “not installed”
 
elong
Jr. Member
 
Total Posts:  17
Joined:  2008-02-15
 

My site has been up since the end of april.

ContempoTrends

Everything was fine until earlier this week I suddenly got the dreaded “an error has occurred while processing your request” message.

I could no longer access my frontend or admin of my site. I backed up my site and uploaded my image from a few weeks ago. I got the following Error message: this time with stack trace:

pdo_mysql extension is not installed
Trace
:
#0 /home/contemp6/public_html/store/lib/Zend/Db/Adapter/Abstract.php(390): Varien_Db_Adapter_Pdo_Mysql->_connect()
#1 /home/contemp6/public_html/store/lib/Zend/Db/Adapter/Pdo/Abstract.php(206): Zend_Db_Adapter_Abstract->query('SET NAMES utf8', Array)
#2 /home/contemp6/public_html/store/app/code/core/Mage/Core/Model/Resource/Type/Db/Pdo/Mysql.php(39): Zend_Db_Adapter_Pdo_Abstract->query('SET NAMES utf8')
#3 /home/contemp6/public_html/store/app/code/core/Mage/Core/Model/Resource.php(77): Mage_Core_Model_Resource_Type_Db_Pdo_Mysql->getConnection(Object(Mage_Core_Model_Config_Element))
#4 /home/contemp6/public_html/store/app/code/core/Mage/Core/Model/Resource/Setup.php(54): Mage_Core_Model_Resource->getConnection('core_setup')
#5 /home/contemp6/public_html/store/app/code/core/Mage/Core/Model/Resource/Setup.php(110): Mage_Core_Model_Resource_Setup->__construct('core_setup')
#6 /home/contemp6/public_html/store/app/code/core/Mage/Core/Model/Config.php(195): Mage_Core_Model_Resource_Setup::applyAllUpdates()
#7 /home/contemp6/public_html/store/app/code/core/Mage/Core/Model/App.php(208): Mage_Core_Model_Config->init(Array)
#8 /home/contemp6/public_html/store/app/Mage.php(404): Mage_Core_Model_App->init('default', 'store', Array)
#9 /home/contemp6/public_html/store/app/Mage.php(423): Mage::app('default', 'store', Array)
#10 /home/contemp6/public_html/store/index.php(40): Mage::run('default')
#11 {main}

Since I had been up for a while, and I had not changed the site, my first thought was my host was upgrading/mucking with the system. Howver, it appears the pdo_mysql and all the other extensions are there. Its php 5.2.0. I uploaded the magento-check.php file and the results are all good here: Magento Check

I have an old 0.8.* version still on my system, that I keep around for times like this and IT WORKS. 0.8 Magento Working Version

I backed up my system and tried to install again. And I am getting an error message on the DB configuration stating “Database connection error.” Not surprising since it thinks mysql_pdo is not there.

So, basically to all the magento gurus--- HELP! PLEASE!

What can i check/do to resolve this. The old 0.8 version is cool, the current release is not. Confused, lost, depressed, and now sleepy from hours of fruitless debugging.

Thank yo in advance for your help.

 
Magento Community Magento Community
Magento Community
Magento Community
 
JLHC
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

What version are you running?
If you are running version 1.1.0, you may need to rename your php.ini file to php5.ini.

 
Magento Community Magento Community
Magento Community
Magento Community
 
elong
Jr. Member
 
Total Posts:  17
Joined:  2008-02-15
 

Excellent! Thank you so much; that did the trick!

How did you know to do that? Was there documentation, release notes that I missed somewhere?

Thanks again.

ContempoTrends

 
Magento Community Magento Community
Magento Community
Magento Community
 
JLHC
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

Glad that your problem has been settled.
We have clients facing this problem before and this is what we do to rectify their problems. smile

P.S. You might want to edit the title of this thread to put in the word “[solved]”. wink

 
Magento Community Magento Community
Magento Community
Magento Community
 
JLHC
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

@ Saharian: This is because version 1.1.0 comes with a php.ini file while the older version doesn’t. I may be wrong, but this is what happens to all our clients who is using 1.1.0.

 
Magento Community Magento Community
Magento Community
Magento Community
 
Unirgy
Guru
 
Avatar
Total Posts:  478
Joined:  2007-09-07
 

hm… i’m curious how’s that has anything to do with 1.1, let alone with Magento at all…

php.ini or php5.ini is a server configuration related, not application specific, or am I wrong?

 
Magento Community Magento Community
Magento Community
Magento Community
 
Michael_1
Enthusiast
 
Total Posts:  826
Joined:  2007-08-31
 
JLHC - 19 July 2008 12:06 AM

@ Saharian: This is because version 1.1.0 comes with a php.ini file while the older version doesn’t. I may be wrong, but this is what happens to all our clients who is using 1.1.0.

@JLHC: Would it solve the issue if we ship both php.ini and php5.ini files (having the same content) ?

 
Magento Community Magento Community
Magento Community
Magento Community
 
JLHC
Mentor
 
Avatar
Total Posts:  1287
Joined:  2008-05-09
Tampa, FL
 

@ Michael: I am not sure as we have not done that. By just renaming the files have solved the problems that we faced.
Maybe you can try that on your own and report back the outcome? wink

 
Magento Community Magento Community
Magento Community
Magento Community
Magento Community
Magento Community
Back to top